{% extends 'base.html.twig' %}

{% block title %}VLBP - Bons Plans{% endblock %}

{% block body %}
<!-- Bande titre -->
<div class="container-fluid cover titre-deal">
    <div class="container py-5">
        <h1 class="text-center text-white">Nos bons plans chinés par nos supers utilisateurs !</h1>
        <p>Retrouvez ici tous les bons plans qui ont été partagés par notre super communauté !
            N'hésitez pas à proposer les bons plans que vous avez trouvé en nous rejoignant !</p>
    </div>
</div>
<!-- Liste des bons plans -->
<div class="container liste-deal" id="pagination">
    <div class="row justify-content-between">
        <div class="text-left">
            <button type="button" class="btn btn-chat mt-4 align-self-center"><i class="fa fa-refresh"
                    aria-hidden="true"></i>
                Rafraîchir la page</button>
        </div>
        <div class="text-right">
            <button class="btn btn-deal mt-4 align-self-center">
                <a href="{{ path('ajout-deal')}}" class="text-light"><i
                        class="fa fa-plus" aria-hidden="true"></i> bon plan</a>
            </button>
        </div>
    </div>
    <div class="row">
        <div class="col-md-10">
            {% for deal in deals %}
            <div class="row ligne-deal">
                <div class="col-lg-3 align-self-center">
                    <img src="{{ asset('/upload/deal/' ~ deal.image ) }}" alt="" class="img-fluid img-deal">
                </div>
                <div class="col-lg-5">
                    <h5 class="titre-deal"><a href="{{ path('deal-detail', {'slug': deal.id}) }}"><u>{{
                                deal.titre }}</u></a></h5>
                    <p><u>Catégorie:</u> {{deal.categorie}}</p>
                    <div>{{ deal.description|u.truncate(100)|raw }}... <a
                            href="{{ path('deal-detail', {'slug': deal.id}) }}" class="suite">voir la suite</a></div>
                    <p>Le bon plan expire dans {{ deal.expire|date("%m mois et %d jour(s)") }}.</p>
                    <button class="btn btn-deal"><i class="fa fa-thumbs-o-up" aria-hidden="true"></i></button>
                    <button class="btn btn-deal"><i class="fa fa-thumbs-o-down" aria-hidden="true"></i></button>
                    <span class="d-inline publie-par">publié par {{deal.user.prenom}}, le {{
                        deal.createdAt|date("d/m/Y")
                        }}</span>
                </div>
                <div class="col-lg-2 text-center align-self-center">
                    {{ deal.prix }}€
                </div>
            </div>
            <hr class="hr-deal">
            {% endfor %}
        </div>
        <div class="col-md-2 sidebar d-none d-lg-block">
            <div class="meilleur-bp bg-perso text-center mt-3 shadow rounded">
                <p class="megaphone"><i class="fa fa-bullhorn" aria-hidden="true"></i></p>
                <p><u class="font-weight-bold">Nos derniers bons plans</u></p>
                {% for lastDeal in lastDeals %}
                <p><a href="{{ path('deal-detail', {'slug': lastDeal.id}) }}">{{lastDeal.titre}}</a></p>

                {% endfor %}
                <p class="megaphone"><i class="fa fa-bullhorn" aria-hidden="true"></i></p>
            </div>
            <div class="pub mt-5 shadow rounded">
                <img src="{{ asset('/upload/deal/pub.jpg' ) }}" alt="" class="img-fluid">
            </div>
            <div class="rejoindre bg-perso text-center mt-5 shadow rounded">
                <p>Vous aussi partagez vos bons plans avec notre super communauté !</p>
                <button class="btn btn-deal mt-4 align-self-center"><a href="{{ path('inscription')}}"
                        class="text-light">Rejoignez-nous</a></button>
            </div>
        </div>
    </div>
    {{ knp_pagination_render(deals) }}
</div>
{% endblock %}
{% block javascripts %}
<script>
    $(document).ready(function () {
        $("button").click(function () {
            location.reload(true);
        });
    });
</script>
{% endblock %}